Skip to main content
PUT
Update credit limit for an agent in a space
The organization bot token must have the following scopes:
  • workflows:write

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Notion-Version
enum<string>
required

The Admin API version to use for this request.

Available options:
2026-06-01

Path Parameters

agent_id
string<uuid>
required

The ID of the custom agent (a UUID). The personal agent (Notion AI) is not supported.

space_id
string<uuid>
required

Body

application/json
credit_limit
number | null
required

The per-agent credit limit as a non-negative integer, or null to clear the limit.

Response

credit_limit_by_workspace_admin
number | null
required

The workspace admin credit limit after the change, or null if no workspace admin limit applies.

enforced_credit_limit
number | null
required

The credit limit that applies to the agent after the change. This is the lower of the workspace admin limit and the limit set by the agent creator. The workspace default applies if neither limit is set. null means no limit applies.

current_credit_usage
number | null
required

The agent's credit usage in the current billing period, or null if the billing period is unknown.

did_clear_paused_state
boolean
required

Whether this change resumed the agent after a credit-limit or runaway-credit-usage pause.

is_active
boolean
required

Whether the agent is active after the change. false can mean this change paused the agent or that the agent was already paused for another reason.